# Record Class StDBDeviceLocationUpdateSearchParameters

java.lang.Object
java.lang.Record
com.io7m.stonesignal.server.database.StDBDeviceLocationUpdateSearchParameters

Record Components:
  `device` - The device
  `timeStart` - The starting time
  `count` - The number of updates to return

public record StDBDeviceLocationUpdateSearchParameters(UUID device, OffsetDateTime timeStart, int count) extends Record
The search parameters for device location updates.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StDBDeviceLocationUpdateSearchParameters(UUID device, OffsetDateTime timeStart, int count)`
  The search parameters for device location updates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `count()`
  Returns the value of the `count` record component.
  `UUID`
  `device()`
  Returns the value of the `device` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `OffsetDateTime`
  `timeStart()`
  Returns the value of the `timeStart` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StDBDeviceLocationUpdateSearchParameters

    public StDBDeviceLocationUpdateSearchParameters(UUID device, OffsetDateTime timeStart, int count)
    The search parameters for device location updates.
    Parameters:
      `device` - The device
      `timeStart` - The starting time
      `count` - The number of updates to return

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### device

    public UUID device()
    Returns the value of the `device` record component.
    Returns:
      the value of the `device` record component

  - ### timeStart

    public OffsetDateTime timeStart()
    Returns the value of the `timeStart` record component.
    Returns:
      the value of the `timeStart` record component

  - ### count

    public int count()
    Returns the value of the `count` record component.
    Returns:
      the value of the `count` record component